<?php
// Test script; simulates a send (POST), like the phone does.
// Tom.Verhoeff (at) dse (dot) nl

require_once("bbg_const_test.php");

// Derived constants
$recv_name = "bbg_recv_test.php";

?>
<html>
<head>
<title>Big Brother GPS: Send Test</title>
</head>
<body>
<h1>Big Brother GPS: Send Test</h1>
<p>
<table border="1" cellpadding="3">
<tr>
  <th><a href="readme.html">Instructions</a>
  <th><a href="bbg_view_test.php">View log</a>
  <th><a href="bbg_send_test.php">Send data ...</a>
</table>
<p>
Web page with form to simulate a POST like
<a href="http://bk.gnarf.org/creativity/bigbrothergps/">Big Brother GPS</a>
does from a phone on which it is
<a href="https://market.android.com/details?id=org.gnarf.bigbrother.gps">installed</a>, configured, and running.
<p>
See the <a href="readme.html">instructions</a> for details.
<p>
Does a POST on <code><?=$recv_name?></code>.
<p>
CSV log file: <code><?=$logpath?></code>
<p>
Filtering is <?php
    if ($filter) {
        echo "ON: Invalid data records are not logged.\n";
    } else {
        echo "OFF: All data records are logged.\n";
    }
?>
<form action="<?=$recv_name?>" method="post">
  <p>
  <table border="0">
  <tr><th><label for="time">Client Time: </label>
    <td><input type="text" name="time"><br>
  <tr><th><label for="latitude">Latitude: </label>
    <td><input type="text" name="latitude"><td>degrees *<br>
  <tr><th><label for="longitude">Longitude: </label>
    <td><input type="text" name="longitude"><td>degrees *<br>
  <tr><th><label for="accuracy">Accuracy: </label>
    <td><input type="text" name="accuracy"><td>m *<br>
  <tr><th><label for="altitude">Altitude: </label>
    <td><input type="text" name="altitude"><td>m<br>
  <tr><th><label for="provider">Provider: </label>
    <td><input type="text" name="provider"><br>
  <tr><th><label for="bearing">Bearing: </label>
    <td><input type="text" name="bearing"><td>degrees<br>
  <tr><th><label for="speed">Speed: </label>
    <td><input type="text" name="speed"><td>m/s<br>
  <tr><th><label for="battlevel">Battery Level: </label>
    <td><input type="text" name="battlevel"><td>percentage<br>
  <tr><th><label for="charging">Charging: </label>
    <td><input type="text" name="charging"><td>0 or 1<br>
  <tr><th><label for="secret">Secret: </label>
    <td><input type="text" name="secret"><td>string<br>
  <tr><th><label for="deviceid">Device ID: </label>
    <td><input type="text" name="deviceid"><br>
  <tr><th><label for="subscriberid">Subscriber ID: </label>
    <td><input type="text" name="subscriberid"><br>
  <tr><th>
    <td><input type="submit" value="Send">
      <input type="reset">
  </table>
</form>
<p>
* Indicates a required field when filtering is enabled.
</body>
</html>
